subscription ui not functional after going back to the preview page



after choosing a  reader for a rss feed,
i pressed the back button on my browser.
when i tried to select a different  reader,
the subscribe now button didnt function at all.
also, the text near the subscribe button doesnt change.




open 
press subscribe using live bookmarks
press the back button
choose different  reader
press subscribe now


cant change  reader


none
